Subject: gcc 2.8.0 released

From: Philip Blundell <[email-masked]>
Date: Wed, 14 Jan 1998 23:35:55 +0000

Hi.

GCC 2.8.0 has been released and is on the usual FTP sites.  It now supports 
the `arm-linuxaout' and `arm-netbsd' targets out of the box.  However:

- the supplied config.guess reportedly doesn't grok ARM Linux systems.  You 
need to specify the system name by hand.

- you need a recent binutils (2.8.1.0.15 or better; 2.8.1.0.18 is reported to 
have some problems).

- ARM Linux/ELF is not supported at all in this release

- there are problems with some parts of the kernel code on non-StrongARM 
machines, to do with unaligned shorts.  You may need to add 
`-mshort-load-bytes' to your CFLAGS when compiling the kernel as a work around.

Enjoy, and apologies to those who have been waiting a long time for it.

p.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]